Skip to main content
GET
/
v1
/
x402
/
endpoints
List x402 endpoints
curl --request GET \
  --url https://api.getsly.ai/v1/v1/x402/endpoints \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "path": "<string>",
      "method": "GET",
      "basePrice": 123,
      "currency": "USDC",
      "paymentAddress": "<string>",
      "network": "<string>",
      "totalCalls": 123,
      "totalRevenue": 123,
      "status": "active",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "volumeDiscounts": [],
      "assetAddress": "<string>",
      "webhookUrl": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  }
}

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Query Parameters

status
enum<string>
Available options:
active,
paused,
disabled
account_id
string<uuid>
page
integer
default:1
limit
integer
default:50
Required range: x <= 200

Response

200 - application/json

Paginated list of endpoints

data
object[]
required
pagination
object
required